Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature.type
Interface AssociationDescriptor

All Superinterfaces:
  PropertyDescriptor, StructuralDescriptor

    public interface AssociationDescriptor

extends StructuralDescriptor

Indicating a named association.

This class carries the ComplexType specific information requried for using an association. Name, type and multiplicity are defined.

The goal of associations is to allow for a graph of data, this is contrast to attribtues which indicate containement.

Please see the description of AssociationType for more guidelines on capturing your data modeling needs with association.

Method Summary
`AssociationType` | `getType()` Indicates the type of this association.

Methods inherited from interface StructuralDescriptor
`getMaxOccurs, getMinOccurs`

Methods inherited from interface PropertyDescriptor
`getName, getUserData, putUserData, type`

Method Detail

### getType

    AssociationType getType()

  Indicates the type of this association.

  This indicates the relationship represented by the association.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.